io.undertow.client

## Interface ClientCallback<T>

    public interface ClientCallback<T>

Author:
  Emanuel Muckenhuber

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `completed(T result)` Invoked when an operation completed.
`void` `failed(IOException e)` Invoked when the operation failed.

### Method Detail

#### completed

    void completed(T result)

Invoked when an operation completed.

Parameters:
  `result` - the operation result

#### failed

    void failed(IOException e)

Invoked when the operation failed.

Parameters:
  `e` - the exception